000100120212     d Item            ds                  Template Qualified                                       
000200120212     d  Item_Num                     10i 0                                                          
000300120212     d  Item_Desc                    50a                                                            
000400120212     d  Item_Image                   50a                                                            
000500120212                                                                                                    
000600120212     d Line            ds                  Template Qualified                                       
000700120212     d  PO_Line                      10i 0                                                          
000800120212     d  Item_Num                     10i 0                                                          
000900120212     d  Item_Desc                    50a                                                            
001000120212     d  Ord_Qty                      10i 0                                                          
001100120212     d  Ship_Qty                     10i 0                                                          
001200120212                                                                                                    
001300120212     d Customer        ds                  Template Qualified                                       
001400120212     d  Cust_ID                      10i 0                                                          
001500120212     d  Cust_Name                    50a                                                            
001600120212     d  Name                         50a                                                            
001700120212     d  Address1                     50a                                                            
001800120212     d  Address2                     50a                                                            
001900120212     d  Address3                     50a                                                            
002000120212     d  City                         50a                                                            
002100120212     d  State                         2a                                                            
002200120212     d  ZipCode                      10a                                                            
002300120212                                                                                                    
002400120212     d ShipTo          ds                  Template Qualified                                       
002500120212     d  Address_ID                   10i 0                                                          
002600120212     d  Name                         50a                                                            
002700120212     d  Address1                     50a                                                            
002800120212     d  Address2                     50a                                                            
002900120212     d  Address3                     50a                                                            
003000120212     d  City                         50a                                                            
003100120212     d  State                         2a                                                            
003200120212     d  ZipCode                      10a                                                            
003300120212                                                                                                    
003400120212     d Stat            ds                  Template Qualified                                       
003500120212     d  Stat_Code                     2a                                                            
003600120212     d  Desc                         25a                                                            
003700120212                                                                                                    
003800120212     d PO              ds                  Template Qualified                                       
003900120212     d  PO_Number                    10i 0                                                          
004000120212     d  Order_Date                     d                                                            
004100120212     d  Deliv_Date                     d                                                            
004200120212     d  Customer                           LikeDS(Customer)                                         
004300120212     d  ShipTo                             LikeDS(ShipTo)                                           
004400120212     d  Status                             LikeDS(Stat)                                             
004500120212     d  Total_Lines                   3i 0                                                          
004600120212     d  Line                               LikeDS(Line) Dim(99)                                     
004700120212                                                                                                    
004800120212     d PO_List         ds                  Template Qualified                                       
004900120212     d  PO_Number                    10i 0                                                          
005000120212     d  Order_Date                     d                                                            
005100120212     d  Deliv_Date                     d                                                            
005200120212     d  Cust_Id                      10i 0                                                          
005300120212     d  Cust_Name                    50a                                                            
005400120212     d  Ship_To_ID                   10i 0                                                          
005500120212     d  ShipTo                       50a                                                            
005600120212     d  Status                        2a                                                            
005700120212     d  Stat_Desc                    25a                                                            
005800120212                                                                                                    
005900120212                                                                                                    
006000120212                                                                                                    
006100120212      //--------------------------------------------------                                          
006200120212      // Procedure name: Get_PO                                                                     
006300120212      // Purpose:        Retrieve and return all data for a PO                                      
006400120212      // Returns:        PO Structure                                                               
006500120212      // Parameter:      PO_Num => Purchase Order Number                                            
006600120212      //--------------------------------------------------                                          
006700120212     d Get_PO          pr                  LikeDS(PO)                                               
006800120212     d  PO_Num                       10i 0 Const                                                    
006900120212                                                                                                    
007000120212                                                                                                    
007100120212      //--------------------------------------------------                                          
007200120212      // Procedure name: Get_PO_List                                                                
007300120212      // Purpose:        Retrieve and return a list of POs                                          
007400120212      // Returns:        Array of PO Header info                                                    
007500120212      // Parameter:      Start_PO => Starting Point                                                 
007600120212      //                 End_List => End Of List Indicator                                          
007700120212      //                 Stat_In => Optional Status Filter                                          
007800120212      //--------------------------------------------------                                          
007900120212     d Get_PO_List     pr                  LikeDS(PO_List) Dim(15)                                  
008000120212     d  Start_PO                     10i 0                                                          
008100120212     d  End_List                       n                                                            
008200120212                                                                                                    
008300120212                                                                                                    
008400120212      //--------------------------------------------------                                          
008500120212      // Procedure name: Get_Status                                                                 
008600120212      // Purpose:        Retrieve and return PO Status                                              
008700120212      // Returns:        Status Structure                                                           
008800120212      // Parameter:      Stat_In => Status Code                                                     
008900120212      //--------------------------------------------------                                          
009000120212     d Get_Status      pr                  LikeDS(Stat)                                             
009100120212     d  Stat_In                       2a   Const                                                    
009200120212                                                                                                    
009300120212                                                                                                    
009400120212      //--------------------------------------------------                                          
009500120212      // Procedure name: Get_Address                                                                
009600120212      // Purpose:        Retrieve and return Address                                                
009700120212      // Returns:        Address Structure                                                          
009800120212      // Parameter:      Address_In => Address Code                                                 
009900120212      //--------------------------------------------------                                          
010000120212     d Get_Address     pr                  LikeDS(ShipTo)                                           
010100120212     d  Address_In                   10i 0 Const                                                    
010200120212                                                                                                    
010300120212                                                                                                    
010400120212      //--------------------------------------------------                                          
010500120212      // Procedure name: Get_Customer                                                               
010600120212      // Purpose:        Retrieve and return Customer Data                                          
010700120212      // Returns:        Customer Structure                                                         
010800120212      // Parameter:      Customer_In => Customer ID                                                 
010900120212      //--------------------------------------------------                                          
011000120212     d Get_Customer    pr                  LikeDS(Customer)                                         
011100120212     d  Customer_In                  10i 0 Const                                                    
011200120212                                                                                                    
011300120212                                                                                                    
011400120212      //--------------------------------------------------                                          
011500120212      // Procedure name: Get_PO_Details                                                             
011600120212      // Purpose:        Retrieve and return PO Lines                                               
011700120212      // Returns:        Total Number of PO Lines                                                   
011800120212      // Parameter:      PO_In => PO Number                                                         
011900120212      //                 Lines_Out => DS Array of PO Lines                                          
012000120212      //--------------------------------------------------                                          
012100120212     d Get_PO_Details  pr            10i 0                                                          
012200120212     d  PO_In                        10i 0 Const                                                    
012300120212     d  Lines_Out                          LikeDS(Line) Dim(99)                                     
012400120212                                                                                                    
012500120212                                                                                                    
012600120212      //--------------------------------------------------                                          
012700120212      // Procedure name: Get_PO_Line                                                                
012800120212      // Purpose:        Retrieve and return PO Line Data                                           
012900120212      // Returns:        PO Line Structure                                                          
013000120212      // Parameter:      PO_In => PO Number                                                         
013100120212      //                 Line_Num => Line Number                                                    
013200120212      //                 Valid => Indicator                                                         
013300120212      //--------------------------------------------------                                          
013400120212     d Get_PO_Line     pr                  LikeDS(Line)                                             
013500120212     d  PO_In                        10i 0 Const                                                    
013600120212     d  Line_Num                     10i 0 Const                                                    
013700120212     d  Valid                          n                                                            
013800120212                                                                                                    
013900120212                                                                                                    
014000120212      //--------------------------------------------------                                          
014100120212      // Procedure name: Get_Item                                                                   
014200120212      // Purpose:        Retrieve and return Item Data                                              
014300120212      // Returns:        Item Structure                                                             
014400120212      // Parameter:      Item_In => Item Number                                                     
014500120212      //--------------------------------------------------                                          
014600120212     d Get_Item        pr                  LikeDS(Item)                                             
014700120212     d  Item_In                      10i 0 Const                                                    
014800120212                                                                                                    
014900120212                                                                                                    
015000120212      //--------------------------------------------------                                          
015100120212      // Procedure name: Update_PO                                                                  
015200120212      // Purpose:        Update PO tables                                                           
015300120212      // Returns:                                                                                   
015400120212      // Parameter:      PO_In => PO Structure                                                      
015500120212      //--------------------------------------------------                                          
015600120212     d Update_PO       pr                                                                           
015700120212     d  PO_In                              LikeDS(PO) Const                                         
015800120212                                                                                                    
015900120212                                                                                                    
016000120212                                                                                                    
